cURL
curl --request GET \
--url https://api.lomadee.com.br/affiliate/shortener/urls \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lomadee.com.br/affiliate/shortener/urls"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lomadee.com.br/affiliate/shortener/urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"originalUrl": "<string>",
"shortUrl": "<string>",
"urlCode": "<string>",
"organizationId": "<string>",
"active": true,
"count": 123,
"linkType": "Coupon"
}
],
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"totalPages": 123
}
}{
"success": false,
"message": "<string>",
"code": "<string>"
}{
"success": false,
"message": "<string>",
"code": "<string>"
}{
"success": false,
"message": "<string>",
"code": "<string>"
}Shorten
Get all Shortened URLs
Get all URLs Shortened
GET
/
affiliate
/
shortener
/
urls
cURL
Get all Shortened URLs
Lists shortened URLs for the authenticated affiliate. Requires scopeshortener:read.
Query Parameters
| Parameter | Default | Description |
|---|---|---|
page | 1 | Page number |
limit | 10 | Items per page (max 100) |
search | — | Search in original or short URL |
active | true | Filter by active status |
organizationId | — | Filter by brand UUID |
type | — | Link type: Coupon, BrandPage, Offer, Custom |
startAt / endAt | — | Created-at period filter |
Response
{
"data": [
{
"originalUrl": "https://...",
"shortUrl": "https://staging.lmdee.link/abc",
"urlCode": "abc",
"organizationId": "...",
"active": true,
"linkType": "Offer"
}
],
"meta": {
"total": 6,
"page": 1,
"limit": 10,
"totalPages": 1
}
}
urlCode as path parameter: GET /affiliate/shortener/urls/{urlCode}.Authorizations
Query Parameters
Required range:
x <= 100Filter by link type (Coupon, BrandPage, Offer, Custom)
⌘I